import {Entity, PrimaryColumn, Column} from "typeorm";
import * as Joi from 'joi';
// create table MOTIVE(
//     MOTIVE_NUMBER varchar(10),
//     MOTIVE_LABEL varchar(50) not null,
//     constraint MOTIVE_key primary key(MOTIVE_NUMBER),
//     constraint MOTIVE_unique unique(MOTIVE_LABEL));
@Entity()
export class Motive {
    @PrimaryColumn({length: 10})
    motive_number: string;
    @Column({length: 50, unique: true})
    motive_label: string;
}

export const motive_Joi_schema = Joi.object().keys({
    motive_number: Joi.string().required().max(10),
    motive_label: Joi.string().required().max(50)
});
