#! /bin/bash
printf "\n\nUnder remand..."
curl http://localhost:1963/Under_remand
#
# L'API ci-dessous n'est pas implémentée :
#
printf "\n\nRead 'M13000-Marseille'..."
curl http://localhost:1963/NYCP/API/criminal_cases/one?criminal_case_number=M13000\&jurisdiction_name=Marseille
# PowerShell (backquote required before '&')
# curl http://localhost:1963/NYCP/API/criminal_cases/one?criminal_case_number=M13000\`&jurisdiction_name=Marseille
printf "\n\nCreate 'B25000-Besancon'..."
curl -d "criminal_case_number=B25000&jurisdiction_name=Besancon&date_of_criminal_case=2021-02-19" http://localhost:1963/NYCP/API/criminal_cases/
printf "\n\nAll criminal cases..."
curl http://localhost:1963/NYCP/API/criminal_cases/all
printf "\n\nRead '01'..."
curl http://localhost:1963/NYCP/API/motives/one?motive_number=01
printf "\n\nCreate '15'..."
curl -d "motive_number=15&motive_label=procuring for prostitutes" http://localhost:1963/NYCP/API/motives/
printf "\n\nAll motives..."
curl http://localhost:1963/NYCP/API/motives/all
printf "\n\nDelete '15'..."
curl -X DELETE http://localhost:1963/NYCP/API/motives/15
sleep 5
printf "\n\nCreate 3 prisoners..."
curl -d "prison_file_number=1993&date_of_incarceration=1993-12-06&criminal_case_number=M13000&jurisdiction_name=Marseille&motive_number=01" http://localhost:1963/NYCP/API/prisoners/
# Criminal case does not yet exist:
curl -d "prison_file_number=1996&date_of_incarceration=1996-04-15&criminal_case_number=N44000&jurisdiction_name=Nantes&date_of_criminal_case=1996-04-15&motive_number=03" http://localhost:1963/NYCP/API/prisoners/
# Motive does not yet exist:
curl -d "prison_file_number=2001&date_of_incarceration=2001-02-22&criminal_case_number=L69000&jurisdiction_name=Lyon&&motive_number=05&motive_label=drunk driving" http://localhost:1963/NYCP/API/prisoners/
printf "\n\nChange date of incarceration and main criminal case for '2001'..."
curl -X PUT http://localhost:1963/NYCP/API/prisoners/2001\&2002-03-23\&M13000\&Marseille\&02
printf "\n\nUnlink (as offense) prior main criminal case for '2001'..."
curl -X DELETE http://localhost:1963/NYCP/API/offenses/2001\&L69000\&Lyon
printf "\n\nLink (as offense) criminal case for '2001'..."
curl -d "prison_file_number=2001&criminal_case_number=N44000&jurisdiction_name=Nantes" http://localhost:1963/NYCP/API/offenses/
printf "\n\nAll offenses for '2001'..."
curl http://localhost:1963/NYCP/API/offenses/all?prison_file_number=2001
printf "\n\nCreate conviction for '1993'..."
curl -d "decision_type_number=1&prison_file_number=1993&date_of_decision=2002-03-23&duration=100" http://localhost:1963/NYCP/API/judicial_decisions/
printf "\n\nDelete conviction for '1993'..."
curl -X DELETE http://localhost:1963/NYCP/API/judicial_decisions/1\&1993\&2002-03-23
printf "\n\nCreate 2 conviction (2nd is rejected because it's a duplicate) for '1993'..."
curl -d "decision_type_number=1&prison_file_number=1993&date_of_decision=2021-02-22&duration=100" http://localhost:1963/NYCP/API/judicial_decisions/
curl -d "decision_type_number=1&prison_file_number=1993&date_of_decision=2021-02-22&duration=200" http://localhost:1963/NYCP/API/judicial_decisions/
printf "\n\nEnd...\n\n"


