import * as http from "http";

import {JudicialDecision, Conviction, judicial_decision_Joi_schema} from '../Entities/JudicialDecision';

export const JudicialDecision_service = (web, database) => {
    // GET: localhost:80/JudicialDecision
    web.get('/JudicialDecision', async (request, response) => {
        const judicial_decision = await database.getRepository(JudicialDecision).find();
        response.send(judicial_decision);
    });
    web.get('/Conviction', async (request, response) => {
        const conviction = await database.getRepository(Conviction).find();
        response.send(conviction);
    });
    // DELETE: localhost:80/JudicialDecision/{decision_type_number}/{prison_file_number}/{date_of_decision} 
    web.delete('/JudicialDecision/:decision_type_number/:prison_file_number/:date_of_decision', async (request, response) => {
        // Bogue : il manque la gestion des tables 'CONVICTION', 'SHORTENED_SENTENCE' et 'FINAL_DISCHARGE':
        await database.getRepository(JudicialDecision).delete({
            decision_type_number: request.params.decision_type_number,
            prison_file_number: request.params.prison_file_number,
            date_of_decision: request.params.date_of_decision
        });
        await response.status(201).json({
            message: "JudicialDecision removed with success..."
        });
    });
}

export const All_judicial_decisions = () => {
    http.request({
        hostname: '127.0.0.1',
        port: 1963,
        path: '/JudicialDecision',
        method: 'GET'
    }, (response) => {
        let data = '';
        response.on('data', chunk => { // A chunk of data has been received...
            data += chunk;
        });
        response.on('end', () => { // The whole response has been received...
            let judicial_decisions;
            try {
                judicial_decisions = JSON.parse(data);
                console.log(judicial_decisions);
            } catch (exception) {
                console.log(`${exception.name}: ${exception.message}`);
            }
        });
    }).end();
}

export const All_convictions = () => {
    http.request({
        hostname: '127.0.0.1',
        port: 1963,
        path: '/Conviction',
        method: 'GET'
    }, (response) => {
        let data = '';
        response.on('data', chunk => { // A chunk of data has been received...
            data += chunk;
        });
        response.on('end', () => { // The whole response has been received...
            let convictions;
            try {
                convictions = JSON.parse(data);
                console.log(convictions);
            } catch (exception) {
                console.log(`${exception.name}: ${exception.message}`);
            }
        });
    }).end();
}
